/*
One of those Weeks Episode 40: Judgement Day
Copyright (c) 2008,2011 Blazing Games Inc.
Code written by Billy D. Spelchan

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.ootw.ep40
{
	// Adobe Imports
	import flash.display.SimpleButton;
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	public class OotW40
	extends MovieClip
	{
// ***** CONSTANTS **********************************************************

		public static const SHOW_SCORE_EVENT = "ShowScoreEvent";

// ***** VARIABLES **********************************************************

		private var _finalScore:int;

// ***** CONSTRUCTOR ********************************************************

		public function OotW40()
		{
//			_topic_movie.resetConversation();
			_topic_movie.startGame(this);
			stop();
		}

// ***** Functions - General control ****************************************

		public function toScore()
		{
			var evt:Event = new Event(SHOW_SCORE_EVENT);
			this.dispatchEvent(evt);
		}
		
		public function getScore():int
		{
			//return _topic_movie.scoreConversation();
			var score:int = _topic_movie.getQuestionsAsked();
			var deductions:int = _topic_movie.getWrongCount();
			trace ("base score is " + score);
			trace ("deductions " + deductions);
			return score - 6 * deductions;
		}
		
		public function death()
		{
			var evt:Event = new Event(SHOW_SCORE_EVENT);
			this.dispatchEvent(evt);
		}
	} // end class
} // end package

